var openedID = "";
function loadContacts(){
	var contacts = JSON.parse(data);
	
	for(var i = 0; i < contacts.length; i++){
		var div = document.createElement('div');
		var doc = document.getElementById("list");
		doc.appendChild(div);
		div.innerHTML = '<img class="svg list" src="img/icons/vcard.svg"> ';
		div.innerHTML += contacts[i].fname + " " + contacts[i].lname;
		div.className = "listElement";
		div.id = "listElement" + i;
		doc.insertBefore(div, document.getElementById("addContact"));
		div.onclick = function() { loadContact(this.id) };
	}
}

function loadContact(contIDStr){
	if(openedID != ""){
		closeContacts();
	}
	document.getElementById("default").style.display = "none";
	document.getElementById("cedit").style.display = "none";
	document.getElementById("detail").style.display = "block";
	document.getElementById(contIDStr).style.backgroundColor = "#0061ff";
	document.getElementById(contIDStr).style.color = "#fff";
	openedID = contIDStr;
	var contacts = JSON.parse(data);
	var contID = contIDStr.slice(11);
	document.getElementById("titleJmeno").innerHTML = contacts[contID].fname + " " + contacts[contID].lname;
	document.getElementById("fname").innerHTML = contacts[contID].fname;
	document.getElementById("lname").innerHTML = contacts[contID].lname;
	document.getElementById("tags").innerHTML = contacts[contID].tags;
	document.getElementById("emailtag").innerHTML = contacts[contID].emailtag;
	document.getElementById("email").innerHTML = contacts[contID].email;
	document.getElementById("phonetag").innerHTML = contacts[contID].phonetag;
	document.getElementById("phone").innerHTML = contacts[contID].phone;
	document.getElementById("address").innerHTML = contacts[contID].address + "<br>" + contacts[contID].psc + " " + contacts[contID].city;
}

function closeContacts(){
	document.getElementById("default").style.display = "block";
	document.getElementById("detail").style.display = "none";
	document.getElementById("cedit").style.display = "none";
	document.getElementById(openedID).style.backgroundColor = null;
	document.getElementById(openedID).style.color = null;
	openedID = "";
}

function editContact(){
	document.getElementById("default").style.display = "none";
	document.getElementById("detail").style.display = "none";
	document.getElementById("cedit").style.display = "block";
	
	var contacts = JSON.parse(data);
	var contID = openedID.slice(11);
	
	document.getElementById("ceditTitleJmeno").innerHTML = contacts[contID].fname + " " + contacts[contID].lname;
	document.getElementById("ceditInfoFNAME").value = contacts[contID].fname;
	document.getElementById("ceditInfoLNAME").value = contacts[contID].lname;
	document.getElementById("ceditInfoTAGS").value = contacts[contID].tags;
	document.getElementById("ceditInfoEMAILTAG").value = contacts[contID].emailtag;
	document.getElementById("ceditInfoEMAIL").value = contacts[contID].email;
	document.getElementById("ceditInfoPHONETAG").value = contacts[contID].phonetag;
	document.getElementById("ceditInfoPHONE").value = contacts[contID].phone;
	document.getElementById("ceditInfoSTREET").value = contacts[contID].address;
	document.getElementById("ceditInfoPSC").value = contacts[contID].psc;
	document.getElementById("ceditInfoCITY").value = contacts[contID].city;
}

function saveContact(){
	var contacts = JSON.parse(data);
	var contID = openedID.slice(11);
	
	contacts[contID].fname = document.getElementById("ceditInfoFNAME").value;
	contacts[contID].lname = document.getElementById("ceditInfoLNAME").value;
	contacts[contID].tags = document.getElementById("ceditInfoTAGS").value;
	contacts[contID].emailtag = document.getElementById("ceditInfoEMAILTAG").value;
	contacts[contID].email = document.getElementById("ceditInfoEMAIL").value;
	contacts[contID].phonetag = document.getElementById("ceditInfoPHONETAG").value;
	contacts[contID].phone = document.getElementById("ceditInfoPHONE").value;
	contacts[contID].address = document.getElementById("ceditInfoSTREET").value;
	contacts[contID].psc = document.getElementById("ceditInfoPSC").value;
	contacts[contID].city = document.getElementById("ceditInfoCITY").value;
	
	closeContacts();
}